Loading...
Searching...
No Matches
iio.Device Class Reference

iio.Device class: Contains the representation of an IIO device. More...

Inheritance diagram for iio.Device:
[legend]
Collaboration diagram for iio.Device:
[legend]

## Public Member Functions

Channel | get_channel (string name)
| Get the iio.Channel object of the specified name.
void | set_trigger (Trigger trig)
| Affect a trigger to this device.
Trigger | get_trigger ()
| Get the current trigger affected to this device.
uint | get_sample_size ()
| Get the current sample size of the device.
void | reg_write (uint addr, uint value)
| Set a value to one register of this device.
uint | reg_read (uint addr)
| Read the content of a register of this device.
int | set_kernel_buffers_count (uint nb)
| Sets the number of active kernel buffers for this device.
Context | get_context ()
| Gets the context of the current device.
Channel | find_channel (string channel, bool output)
| Finds the channel with the given name from the current device.
Attr | find_attribute (string attribute)
| Finds the attribute with the given name from the current device.
Attr | find_debug_attribute (string attribute)
| Finds the debug attribute with the given name from the current device.
Attr | find_buffer_attribute (string attribute)
| Finds the buffer attribute with the given name from the current device.
int | identify_filename (string filename, IntPtr chn_ptr, IntPtr attr)
| Finds the channel attribute corresponding to the given filename from the current device.

## Public Attributes

readonly string | id
| An identifier of this device.
readonly string | name
| The name of this device.
readonly List< Attr > | attrs
| A `list` of all the attributes that this device has.
readonly List< Attr > | debug_attrs
| A `list` of all the debug attributes that this device has.
readonly List< Channel > | channels
| A `list` of all the iio.Channel objects that this device possesses.

## Properties

string | label`[get]`
| The label of this device.
bool | hwmon`[get]`
| True if the device is a hardware monitoring device, False if it is a IIO device.
List< Attr > | buffer_attrs`[get]`
| A `list` of all the buffer attributes that this device has.

## Detailed Description

iio.Device class: Contains the representation of an IIO device.

Examples
  ExampleProgram.cs.

## Member Function Documentation

## find_attribute()

Attr iio.Device.find_attribute | ( | string | attribute | ) |

inline

Finds the attribute with the given name from the current device.

Parameters

  attribute | The name of the attribute.

Returns
  An instance of the iio.Device.DeviceAttr class.

Exceptions

  System.Exception | There is no attribute with the given name.

## find_buffer_attribute()

Attr iio.Device.find_buffer_attribute | ( | string | attribute | ) |

inline

Finds the buffer attribute with the given name from the current device.

Parameters

  attribute | The name of the buffer attribute.

Returns
  An instance of the iio.Device.DeviceBufferAttr class.

Exceptions

  System.Exception | There is no attribute with the given name.

## find_channel()

Channel iio.Device.find_channel | ( | string | channel,
|  | bool | output )

inline

Finds the channel with the given name from the current device.

Parameters

  channel | The name of the channel.
  output | true if you are looking for an output channel, otherwise false.

Returns
  An instance of the iio.Channel class.

Exceptions

  System.Exception | There is no channel with the given name.

## find_debug_attribute()

Attr iio.Device.find_debug_attribute | ( | string | attribute | ) |

inline

Finds the debug attribute with the given name from the current device.

Parameters

  attribute | The name of the debug attribute.

Returns
  An instance of the iio.Device.DeviceDebugAttr class.

Exceptions

  System.Exception | There is no debug attribute with the given name.

## get_channel()

Channel iio.Device.get_channel | ( | string | name | ) |

inline

Get the iio.Channel object of the specified name.

Parameters

  name | Name or ID of the channel to look for

Exceptions

  System.Exception | The IIO device with the specified name or ID could not be found in the current context.

## get_context()

Context iio.Device.get_context | ( |  | ) |

inline

Gets the context of the current device.

Returns
  An instance of the iio.Context class.

## get_sample_size()

uint iio.Device.get_sample_size | ( |  | ) |

inline

Get the current sample size of the device.

The sample size varies each time channels get enabled or disabled.

Exceptions

  System.Exception | Internal error. Please report any bug.

## get_trigger()

Trigger iio.Device.get_trigger | ( |  | ) |

inline

Get the current trigger affected to this device.

Returns
  An instance of the iio.Trigger class.

Exceptions

  System.Exception | The instance could not be retrieved.

## identify_filename()

int iio.Device.identify_filename | ( | string | filename,
|  | IntPtr | chn_ptr,
|  | IntPtr | attr )

inline

Finds the channel attribute corresponding to the given filename from the current device.

Parameters

  filename | The name of the attribute.
  chn_ptr | Output variable. It will contain a pointer to the resulting iio.Channel.
  attr | Output variable. It will contain a pointer to the resulting iio.ChannelAttr.

Returns
  C errorcode if error encountered, otherwise 0.

## reg_read()

uint iio.Device.reg_read | ( | uint | addr | ) |

inline

Read the content of a register of this device.

Parameters

  addr | The address of the register concerned.

Exceptions

  System.Exception | The register could not be read.

## reg_write()

void iio.Device.reg_write | ( | uint | addr,
|  | uint | value )

inline

Set a value to one register of this device.

Parameters

  addr | The address of the register concerned.
  value | The value that will be used for this register.

Exceptions

  System.Exception | The register could not be written.

## set_kernel_buffers_count()

int iio.Device.set_kernel_buffers_count | ( | uint | nb | ) |

inline

Sets the number of active kernel buffers for this device.

Parameters

  nb | The number of kernel buffers.

## set_trigger()

void iio.Device.set_trigger | ( | Trigger | trig | ) |

inline

Affect a trigger to this device.

Parameters

  trig | A valid instance of the iio.Trigger class.

Exceptions

  System.Exception | The trigger could not be set.

## Member Data Documentation

## id

readonly string iio.Device.id

An identifier of this device.

The identifier is only valid in this IIO context

Examples
  ExampleProgram.cs.

The documentation for this class was generated from the following file:

- bindings/csharp/Device.cs